<?php
/**
 * The template part for displaying single posts
 *
 * @since Nucleus 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
	</header><!-- .entry-header -->
	
	<?php if ( is_active_sidebar( 'sidebar-below-entry-title' ) ) { ?>
			<div class="wrapper-sidebar-below-entry-title">
				<?php dynamic_sidebar( 'sidebar-below-entry-title' ); ?>
			</div>
		<?php } ?>
		
	<?php nucleus_excerpt(); ?>

	<?php //nucleus_post_thumbnail(); ?>

	<div class="entry-content">
		
		<?php the_content(); ?>
		
		<?php if ( is_active_sidebar( 'sidebar-below-entry-content' ) ) { ?>
			<div class="wrapper-sidebar-below-entry-content">
				<?php dynamic_sidebar ( 'sidebar-below-entry-content' ); ?>
			</div>
		<?php }
		
		wp_link_pages( array(
			'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'nucleus' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'nucleus' ) . ' </span>%',
			'separator'   => '<span class="screen-reader-text">, </span>',
		) );

		if ( '' !== get_the_author_meta( 'description' ) ) {
			get_template_part( 'template-parts/biography' );
		}
		
		if ( get_theme_mod( 'nucleus_related_posts', '') == 1 ) get_template_part( NUCLEUS_TEMPLATE_PARTS . 'related-posts' );
		?>
		
	</div><!-- .entry-content -->
	
	<footer class="entry-footer">
		
		<?php nucleus_entry_meta(); ?>
		
		<?php
			edit_post_link(
				sprintf(
					/* translators: %s: Name of current post */
					__( 'Edit<span class="screen-reader-text"> "%s"</span>', 'nucleus' ),
					get_the_title()
				),
				'<span class="edit-link">',
				'</span>'
			);
		?>
		
	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->
